<?php

if ( !function_exists( 'get_rodio_footer_cpt' ) ) {    
    /**
     * get_rodio_header_cpt
     *
     * creates and returns arguments for the creationg of the 'header' CPT.
     * 
     * @return void
     */
    function get_rodio_footer_cpt() {

        $labels = [
            'name'               => __( 'Footers', 'rodio-core' ),
            'singular_name'      => __( 'Footer', 'rodio-core' ),
            'add_new'            => __( 'Add New', 'rodio-core' ),
            'add_new_item'       => __( 'Add New Footer', 'rodio-core' ),
            'edit_item'          => __( 'Edit Footer', 'rodio-core' ),
            'new_item'           => __( 'New Footer', 'rodio-core' ),
            'all_items'          => __( 'All Footers', 'rodio-core' ),
            'view_item'          => __( 'View Footer', 'rodio-core' ),
            'search_items'       => __( 'Search Footers', 'rodio-core' ),
            'not_found'          => __( 'No Footers found', 'rodio-core' ),
            'not_found_in_trash' => __( 'No Footers found in the Trash', 'rodio-core' ), 
            'menu_name'          => __( 'Footers', 'rodio-core' ),
        ];

        $args = [
            'labels'                => $labels,
            'description'           => __( 'Holds our footers and footer specific data', 'rodio-core'),
            'public'                => true,
            'menu_position'         => 4,
            'show_in_nav_menus'     => false,
            'exclude_from_search'   => true,
            'menu_icon'             => 'dashicons-table-row-before',
            'supports'              => array( 'title', 'editor' )   
        ];

        return $args;
        
    }
}
