<?php

if ( !function_exists( 'get_rodio_header_cpt' ) ) {    
    /**
     * get_rodio_header_cpt
     *
     * creates and returns arguments for the creationg of the 'header' CPT.
     * 
     * @return void
     */
    function get_rodio_header_cpt() {

        $labels = [
            'name'               => __( 'Headers', 'rodio-core' ),
            'singular_name'      => __( 'Header', 'rodio-core' ),
            'add_new'            => __( 'Add New', 'rodio-core' ),
            'add_new_item'       => __( 'Add New Header', 'rodio-core' ),
            'edit_item'          => __( 'Edit Header', 'rodio-core' ),
            'new_item'           => __( 'New Header', 'rodio-core' ),
            'all_items'          => __( 'All Headers', 'rodio-core' ),
            'view_item'          => __( 'View Header', 'rodio-core' ),
            'search_items'       => __( 'Search Headers', 'rodio-core' ),
            'not_found'          => __( 'No Headers found', 'rodio-core' ),
            'not_found_in_trash' => __( 'No Headers found in the Trash', 'rodio-core' ), 
            'menu_name'          => __( 'Headers', 'rodio-core' )
        ];

        $args = [
            'labels'                => $labels,
            'description'           => __( 'Holds our headers and header specific data', 'rodio-core'),
            'public'                => true,
            'menu_position'         => 4,
            'show_in_nav_menus'     => false,
            'exclude_from_search'   => true,
            'menu_icon'             => 'dashicons-table-row-after',
            'supports'              => array( 'title', 'editor' )            
        ];

        return $args;
        
    }
}
