<?php

if ( !function_exists( 'get_rodio_project_cpt' ) ) {    
    /**
     * get_rodio_project_cpt
     *
     * creates and returns arguments for the creationg of the 'project' CPT.
     * 
     * @return void
     */
    function get_rodio_project_cpt() {

        $labels = [
            'name'               => __( 'Projects', 'rodio-core' ),
            'singular_name'      => __( 'Project', 'rodio-core' ),
            'add_new'            => __( 'Add New', 'rodio-core' ),
            'add_new_item'       => __( 'Add New Project', 'rodio-core' ),
            'edit_item'          => __( 'Edit Project', 'rodio-core' ),
            'new_item'           => __( 'New Project', 'rodio-core' ),
            'all_items'          => __( 'All Projects', 'rodio-core' ),
            'view_item'          => __( 'View Project', 'rodio-core' ),
            'search_items'       => __( 'Search Projects', 'rodio-core' ),
            'not_found'          => __( 'No Projects found', 'rodio-core' ),
            'not_found_in_trash' => __( 'No Projects found in the Trash', 'rodio-core' ), 
            'menu_name'          => __( 'Projects', 'rodio-core' ),            
        ];

        $args = [
            'labels'                => $labels,
            'description'           => __( 'Holds our projects and project specific data', 'rodio-core'),
            'public'                => true,
            'menu_position'         => 4,
            'show_in_nav_menus'     => true,
            'taxonomies'            => array( 'category' ),
            'menu_icon'             => 'dashicons-marker',
            'supports'              => array( 'title', 'editor', 'thumbnail' ),
        ];

        return $args;
        
    }
}
