<?php

/**
 * Plugin Name:       Rodio core
 * Plugin URI:        https://themeforest.net/user/gfxpartner
 * Description:       Additional functionality for the rodio premium wordpress theme.
 * Version:           1.0.1
 * Requires at least: 5.2
 * Requires PHP:      7.0
 * Author:            GFXPARTNER
 * Author URI:        https://themeforest.net/user/gfxpartner
 * License:           GNU General Public License v2+
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       rodio-core
 */

/**
 * exit if accessed out of wordpress
 */
if ( !function_exists( 'add_action' ) ) {
    exit;  
}

/**
 * misc. code
 */
require_once( plugin_dir_path( __FILE__ ) . 'helper/misc.php' );

/**
 * cpt
 */
require_once( plugin_dir_path( __FILE__ ) . 'cpt/rodio-cpt.php' );

/**
 * widgets
 */
require_once( plugin_dir_path( __FILE__ ) . 'widgets/widgets-init.php' );

/**
 * require Redux
 */
if ( 
    !class_exists( 'ReduxFramework' ) && 
    file_exists( plugin_dir_path( __FILE__ ) . 'redux/framework.php') ) {
    require_once( plugin_dir_path( __FILE__ ) . 'redux/framework.php');
}

/**
 * require Redux config
 */
if (
    !isset( $redux_demo ) && 
    file_exists( plugin_dir_path( __FILE__ ) . 'options/config/config.php' ) ) {
    require_once( plugin_dir_path( __FILE__ ) . 'options/config/config.php');
}

