<?php

if ( ! class_exists( 'Redux' ) ) {
	return;
}

if ( !function_exists( 'rodio_general_fields' ) ) {
    function rodio_general_fields() {
        $fields = [
            [  
                'title'       => __( 'Global font select', 'rodio-core' ),
                'type'        => 'typography',
                'id'          => 'global_font_select',
                'google'      => true, 
                'font-backup' => true,
                'font-style'  => false,
                'font-weight' => false,
                'font-size'   => false,
                'line-height' => false,
                'word-spacing'=> false,
                'letter-spacing'=> false,
                'text-align'  => false,
                'text-transform'=> false,
                'color'       => false,
                'output'      => [ 'body' ],
                'subtitle'    => __( 'Select the font to be used in the theme.', 'rodio-core' )
            ],
            [
                'id'       => 'primary_color',
                'type'     => 'color',
                'title'    => esc_html__( 'Primary Color', 'rodio-core' ),
                'subtitle' => esc_html__( 'This color may not override the primary color in elementor pages.', 'rodio-core' ),
                'validate' => 'color',
                'output'   => [ '--color-primary' => ':root' ]
            ],
            [
                'id'       => 'preloader_switch',
                'type'     => 'switch',
                'title'    => esc_html__( 'Preloader', 'rodio-core' ),
                // 'subtitle' => esc_html__( 'This color may not override the primary color in elementor pages.', 'rodio-core' ),
                'default'  => true
            ]
        ];

        return $fields;
    }
}