<?php

if ( ! class_exists( 'Redux' ) ) {
	return;
}

if ( !function_exists( 'rodio_project_fields' ) ) {
    function rodio_project_fields() {
        $fields = array(
			array(
    			'id' 		=> 'prs_heading_txt',
    			'type' 		=> 'text',
    			'title' 	=> __( 'Heading' , 'rodio-core' ),
				'default'	=> __( 'Other Projects', 'rodio-core' )
			),
			array(
				'id' 		=> 'prs_heading_typo',
				'type' 		=> 'typography',
				'title' 	=> __( 'Typography' , 'rodio-core' ),
				'output'	=> array( '.related-projects .heading' )
			),
			array(         
				'id'       => 'prs_bg',
				'type'     => 'background',
				'title'    => esc_html__('Background', 'rodio'),
				'output'	=> array( '.related-projects' )
			),
			array(
				'id'       => 'meta_project_rs_nav_switch',
                'type'     => 'switch', 
                'title'    => esc_html__('Display navigation', 'rodio'),
                'default'  => true,
			),
			array(
    			'id' 		=> 'prs_prev_icon',
    			'type' 		=> 'text',
    			'title' 	=> __( 'Previous icon' , 'rodio-core' ),
				'subtitle'	=> __( 'Type font awesome 5 free icon class in this field', 'rodio-core' ),
				'required'	=> array( 'meta_project_rs_nav_switch', 'equals', true )
			),
			array(
    			'id' 		=> 'prs_next_icon',
    			'type' 		=> 'text',
    			'title' 	=> __( 'Next icon' , 'rodio-core' ),
				'subtitle'	=> __( 'Type font awesome 5 free icon class in this field', 'rodio-core' ),
				'required'	=> array( 'meta_project_rs_nav_switch', 'equals', true )
			),
			array(
				'id'       	=> 'prs_nav_icon_color',
				'type'     	=> 'color',
				'title'    	=> esc_html__('Normal icon color', 'rodio'), 				
				'validate' 	=> 'color',
				'required'	=> array( 'meta_project_rs_nav_switch', 'equals', true ),
				'output'	=> array(
					'color'	=> '.related-projects .slider-nav-btn',
					'fill'	=> '.related-projects .slider-nav-btn'
				)
			),
			array(
				'id'       	=> 'prs_nav_icon_bg_color',
				'type'     	=> 'color',
				'title'    	=> esc_html__('Normal icon background color', 'rodio'), 				
				'validate' 	=> 'color',
				'required'	=> array( 'meta_project_rs_nav_switch', 'equals', true ),
				'output'	=> array(
					'background-color'	=> '.related-projects .slider-nav-btn',
				)
			),
			array(
				'id'       	=> 'prs_nav_icon_hover_color',
				'type'     	=> 'color',
				'title'    	=> esc_html__('Hover icon color', 'rodio'), 				
				'validate' 	=> 'color',
				'required'	=> array( 'meta_project_rs_nav_switch', 'equals', true ),
				'output'	=> array(
					'color'	=> '.related-projects .slider-nav-btn:hover',
					'fill'	=> '.related-projects .slider-nav-btn:hover'
				)
			),
			array(
				'id'       	=> 'prs_nav_icon_bg_hover_color',
				'type'     	=> 'color',
				'title'    	=> esc_html__('Hover icon background color', 'rodio'), 				
				'validate' 	=> 'color',
				'required'	=> array( 'meta_project_rs_nav_switch', 'equals', true ),
				'output'	=> array(
					'background-color'	=> '.related-projects .slider-nav-btn:hover',
				)
			)
		);

        return $fields;
    }
}