<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package rodio
 */

get_header();

$error_top_heading = __( '404 Error!', 'rodio' );
$error_heading = __( 'We can\'t seem to find the page you\'re looking for.', 'rodio' );
$error_paragraph = __( 'We\'re sorry for the inconvenience. The page you\'e looking for doesn\'t exist or has been removed.', 'rodio' );

get_template_part( 'inc/template-parts/page', 'header' );

?>

<div class="search">
	<div class="search-wrapper">
		<div class="container">
			<div class="row">
				<div class="col-lg-8 offset-lg-2 d-flex justify-content-center">
					<!-- search error - start -->
					<div class="search-error">
						<div class="icon">
							<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512">
								<path d="M256 40c118.621 0 216 96.075 216 216 0 119.291-96.61 216-216 216-119.244 0-216-96.562-216-216 0-119.203 96.602-216 216-216m0-32C119.043 8 8 119.083 8 256c0 136.997 111.043 248 248 248s248-111.003 248-248C504 119.083 392.957 8 256 8zm-11.49 120h22.979c6.823 0 12.274 5.682 11.99 12.5l-7 168c-.268 6.428-5.556 11.5-11.99 11.5h-8.979c-6.433 0-11.722-5.073-11.99-11.5l-7-168c-.283-6.818 5.167-12.5 11.99-12.5zM256 340c-15.464 0-28 12.536-28 28s12.536 28 28 28 28-12.536 28-28-12.536-28-28-28z"/>
							</svg>
						</div>
						<div class="heading small">
							<div><?php echo esc_html( $error_top_heading ); ?></div>
							<?php echo esc_html( $error_heading ); ?>
						</div>
						<p><?php echo esc_html( $error_paragraph ); ?></p>
						<a class="button" href="<?php echo esc_url( home_url() ); ?>">
							<?php echo esc_html__( 'HOMEPAGE', 'rodio' ); ?>
						</a>
					</div>
					<!-- search error - end -->
				</div>
			</div>
		</div>
	</div>
</div>

<?php
get_footer();
