import { masonry_layout } from '../components/masonry';


const create_social_tl = (el) => {
    let tl = gsap.timeline({ 
        reversed: true,
        paused: true,
        onUpdate: masonry_layout,
        onUpdateParams: [ el ],
        defaults: {
            duration: .3
        }
    });

    let socials = el.querySelectorAll('li');

    tl.to(el, { height: 'auto', margin: '20 0 10 0' });

    tl.to(socials, { y: 0, opacity: 1, stagger: 0.1 }, '-=.5');

    return tl;
}

export const team_anim_handler = (element) => {
    let el = element.querySelector('.team-member-social');

    if ( el.animation === undefined ) {
        el.animation = create_social_tl(el);
    }
    
    let reveal = element.querySelector('.reveal');

    let tl = el.animation;

    if ( tl.reversed() ) {
        reveal.classList.add('plus');
        reveal.classList.add('dropped');
        tl.play();
    } else {
        tl.reverse();
        reveal.classList.remove('plus');
        reveal.classList.remove('dropped');
    }
}