import { add_scroll_event, get_scroll_pos } from '../scroll/init';

export const back_to_top_handler = (e) => {
    // if custom scrollbar exists
    let body = document.querySelector('body');
    if ( body.scrollbar ) {
        body.scrollbar.scroll({ y: 0 }, 1000);
    }
    // if custom scrollbar does not exists
    else {
        window.scroll(0,0);
    }
}

add_scroll_event(() => {
    let element = document.querySelector('.back-to-top');
    if ( element == null ) return;
    let y_pos = get_scroll_pos();

    if ( y_pos > 200 ) {
        element.classList.add('scrolled');
    } else {
        element.classList.remove('scrolled');
    }

});