export const project_load_more_handler = async (e) => {
    e.preventDefault();

    let anchor = e.target;
    let endpoint  = anchor.href;
    let container = anchor.closest('.project-list-wrapper');
    let parent = container.querySelector('.project-list-inner');
    let offset = container.querySelectorAll('.project-list-inner .col-lg-6').length;
    let nonce = container.dataset.nonce;
    let max = parseInt(container.dataset.max);

    const hide_btn = () => anchor.closest('.row').style.setProperty('display', 'none');

    const data =  new FormData();
    data.append('action', 'rodio_projects_load_more');
    data.append('offset', offset);
    data.append('security', nonce);
    const params = new URLSearchParams(data);
    
    try {
        let response = await fetch(endpoint, {
            method: 'POST',
            headers: new Headers({'Content-Type': 'application/x-www-form-urlencoded'}),
            body: params
        });
        let data = await response.text();

        if ( data === '' ) {
            hide_btn();
        }

        let projects = data.split('--splitter--');

        projects.forEach(project => {
            if ( project === '' ) return;
            let el = document.createElement('div');
            el.className = 'col-lg-6';
            el.innerHTML = project;

            // add the parent
            parent.appendChild(el);
            parent.masonry.appended(el);
            parent.masonry.layout();
        })

        // recalculate offset
        offset = container.querySelectorAll('.project-list-inner .col-lg-6').length;

        if ( offset === max ) {
            hide_btn();
        }


    } catch (err) {
        console.log(err);
        // hide the button container
        hide_btn();
    }


    
}