<?php


if ( !defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class RodioCounterMod {
    public static function init() {
        add_action( 
            'elementor/element/counter/section_counter/before_section_end', 
            [ __CLASS__, 'controls' ], 
            10, 
            2 
        );

        add_action( 
            'elementor/frontend/section/before_render', 
            [ __CLASS__, 'section_attribute' ]
        );
    }

    public static function section_attribute( $instance ) {

        $settings = $instance->get_settings_for_display();

        if ( $settings['rodio_section_align'] == 'none' ) return;

		$instance->add_render_attribute(
			'counter', 'class', [
				$settings['rodio_section_align']
			]
		);
        
    }

    public static function controls( $instance, $args ) {

        $instance->add_control(
			'rodio_counter_heading',
			[
				'label' => esc_html__( 'RODIO', 'rodio' ),
				'type' => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

        $instance->add_control(
			'rodio_counter_display_inline',
			[
				'label' => esc_html__( 'Display inline', 'rodio' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Yes', 'rodio' ),
				'label_off' => esc_html__( 'No', 'rodio' ),
				'return_value' => 'inline',
				'default' => 'no',
                'selectors' => [
                    '{{WRAPPER}} .elementor-counter > *' => 'display: {{VALUE}};'
                ]
			]
		);

        $instance->add_responsive_control(
            'rodio_counter_container_align',
            [
                'label'         => esc_html__( 'Container Alignment', 'rodio' ),
                'type'          => \Elementor\Controls_Manager::CHOOSE,
                'options'       => [
                    'left'      => [
                        'title'=> __( 'Left', 'rodio' ),
                        'icon' => 'fa fa-align-left',
                    ],
                    'center'    => [
                        'title'=> __( 'Center', 'rodio' ),
                        'icon' => 'fa fa-align-center',
                    ],
                    'right'     => [
                        'title'=> __( 'Right', 'rodio' ),
                        'icon' => 'fa fa-align-right',
                    ],
                ],
                'selectors'     => [
                    '{{WRAPPER}} .elementor-counter' => 'text-align: {{VALUE}};',
                ],
            ]
        );

    }
}

RodioCounterMod::init();