<?php


if ( !defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class RodioGoogleMapsMod {
    public static function init() {
        add_action( 
            'elementor/element/google_maps/section_map_style/before_section_end', 
            [ __CLASS__, 'controls' ], 
            10, 
            2 
        );
    }

    public static function controls( $instance, $args ) {

        $instance->add_control(
			'rodio_section_heading',
			[
				'label' => esc_html__( 'RODIO', 'rodio' ),
				'type' => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

        $instance->add_control(
			'rodio_border_radius',
			[
				'label' => esc_html__( 'Border radius', 'rodio' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'rem' ],
				'selectors' => [
					'{{WRAPPER}} iframe' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);

    }


}

RodioGoogleMapsMod::init();