<?php


if ( !defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class RodioIconListMod {
    public static function init() {
        add_action( 
            'elementor/element/icon-list/section_text_style/before_section_end', 
            [ __CLASS__, 'controls' ], 
            10, 
            2 
        );
    }

    public static function controls( $instance, $args ) {

        $instance->add_control(
			'rodio_icon_list_heading',
			[
				'label' => esc_html__( 'RODIO', 'rodio' ),
				'type' => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

        $instance->add_control(
			'rodio_bar_color',
			[
				'label' => esc_html__( 'Bar color', 'rodio' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} a .elementor-icon-list-text::after' => 'background-color: {{VALUE}}',
				],
			]
		);

        $instance->add_control(
			'rodio_bar_margin',
			[
				'label' => esc_html__( 'Bar margin', 'rodio' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'rem' ],
				'selectors' => [
					'{{WRAPPER}} a .elementor-icon-list-text::after' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);

		$instance->add_control(
			'rodio_text_margin',
			[
				'label' => esc_html__( 'Text margin', 'rodio' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => [ 'px', '%', 'rem' ],
				'selectors' => [
					'{{WRAPPER}} .elementor-icon-list-text' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
		);

    }

}

RodioIconListMod::init();