<?php


if ( !defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class RodioIconMod {
    public static function init() {
        add_action( 
            'elementor/element/icon/section_style_icon/after_section_end', 
            [ __CLASS__, 'controls' ], 
            10, 
            2 
        );
    }

    public static function controls( $instance, $args ) {

        $instance->start_controls_section(
            'rodio_icon_svg_section',
            [
              'label' => esc_html__('RODIO: SVG', 'rodio'),
              'tab' => \Elementor\Controls_Manager::TAB_STYLE
            ]
        );


        $instance->add_control(
			'rodio_icon_svg_width',
			[
				'label' => esc_html__( 'Width', 'rodio' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%', 'rem' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
						'step' => 5,
					],
					'%' => [
						'min' => 0,
						'max' => 200,
					],
				],
				'selectors' => [
                    '{{WRAPPER}}' => 'width: {{SIZE}}{{UNIT}};',
                    '{{WRAPPER}} div' => 'width: {{SIZE}}{{UNIT}};',
					'{{WRAPPER}} svg' => 'width: {{SIZE}}{{UNIT}};',
				],
			]
		);

        $instance->add_control(
			'rodio_icon_svg_height',
			[
				'label' => esc_html__( 'Height', 'rodio' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%', 'rem' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
						'step' => 5,
					],
					'%' => [
						'min' => 0,
						'max' => 200,
					],
				],
				'selectors' => [
					'{{WRAPPER}}' => 'height: {{SIZE}}{{UNIT}};',
                    '{{WRAPPER}} div' => 'height: {{SIZE}}{{UNIT}};',
					'{{WRAPPER}} svg' => 'height: {{SIZE}}{{UNIT}};',
				],
			]
		);

        $instance->end_controls_section();


    }

}

RodioIconMod::init();