<?php


if ( !defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class RodioImageCarousel {
    public static function init() {
        add_action( 
            'elementor/element/image-carousel/section_image_carousel/before_section_end', 
            [ __CLASS__, 'controls' ], 
            10, 
            2 
        );
    }

    public static function controls( $instance, $args ) {

        $instance->add_control(
			'rodio_section_heading',
			[
				'label' => esc_html__( 'RODIO', 'rodio' ),
				'type' => \Elementor\Controls_Manager::HEADING,
				'separator' => 'before',
			]
		);

        $instance->add_responsive_control(
			'rodio_image_carousel_overflow',
			[
				'label' => esc_html__( 'Overflow', 'rodio' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'hidden',
				'options' => [
					'hidden'  => esc_html__( 'Hidden', 'rodio' ),
					'visible' => esc_html__( 'Visible', 'rodio' ),
				],
                'selectors' => [
                    '{{WRAPPER}} .swiper-container' => 'overflow: {{VALUE}};'
                ]
			]
		);

		$instance->add_control(
			'rodio_image_carousel_space_between',
			[
				'label' => esc_html__( 'Space between', 'rodio' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', 'rem' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
					],
					'rem' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .swiper-slide-inner' => 'margin: 0 {{SIZE}}{{UNIT}} !important;',
				],
			]
		);

		$instance->add_responsive_control(
			'rodio_image_carousel_height',
			[
				'label' => esc_html__( 'Height', 'rodio' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', 'rem' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
					],
					'rem' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .swiper-slide-inner' => 'height: {{SIZE}}{{UNIT}};',
					'{{WRAPPER}} .swiper-slide-inner img' => 'height: 100%; object-fit: cover;',
				],
			]
		);

    }

}

RodioImageCarousel::init();