<?php


if ( !defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class RodioImageMod {
    public static function init() {
        add_action( 
            'elementor/element/image/section_style_image/after_section_end', 
            [ __CLASS__, 'controls' ], 
            10, 
            2 
        );
    }

    public static function controls( $instance, $args ) {

        $instance->start_controls_section(
            'rodio_image_styles',
            [
                'label' => esc_html__('RODIO: Styles', 'rodio'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        $instance->add_responsive_control(
			'rodio_image_height',
			[
				'label' => esc_html__( 'Height', 'rodio' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%', 'rem' ],
				'range' => [
					'px' => [
						'min' => 0,
						'max' => 1000,
					],
					'%' => [
						'min' => 0,
						'max' => 200,
					],
                    'rem' => [
						'min' => 0,
						'max' => 100,
					],
				],
				'selectors' => [
					'{{WRAPPER}}' => 'height: {{SIZE}}{{UNIT}};',
                    '{{WRAPPER}} .elementor-widget-container' => 'height: {{SIZE}}{{UNIT}};',
                    '{{WRAPPER}} img' => 'height: {{SIZE}}{{UNIT}};',
				],
			]
		);

        $instance->add_responsive_control(
			'rodio_image_object',
			[
				'label' => esc_html__( 'Object fit', 'rodio' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'initial',
				'options' => [
					'initial'  => esc_html__( 'default', 'rodio' ),
					'cover' => esc_html__( 'cover', 'rodio' ),
					'contain' => esc_html__( 'contain', 'rodio' ),
					'fill' => esc_html__( 'fill', 'rodio' ),
					'none' => esc_html__( 'none', 'rodio' ),
				],
                'selectors' => [
                    '{{WRAPPER}} img' => 'object-fit: {{VALUE}};',
				],
			]
		);

        $instance->add_responsive_control(
			'rodio_image_object_position',
			[
				'label' => esc_html__( 'Object position', 'rodio' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'initial',
				'options' => [
					'initial'  => esc_html__( 'default', 'rodio' ),
					'top' => esc_html__( 'top', 'rodio' ),
					'center' => esc_html__( 'center', 'rodio' ),
					'bottom' => esc_html__( 'bottom', 'rodio' ),
				],
                'selectors' => [
                    '{{WRAPPER}} img' => 'object-position: {{VALUE}};',
				],
			]
		);

        $instance->end_controls_section();

    }


}

RodioImageMod::init();