<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

function get_rodio_client_styles( $instance = null ) {
    if ( $instance == null ) return;

    $instance->start_controls_section(
        'client_styles',
        [
            'label' => esc_html__('Clients', 'rodio'),
            'tab' => \Elementor\Controls_Manager::TAB_STYLE,
        ]
    );

    $instance->start_controls_tabs( 'client_tabs' );

    // normal - start

    $instance->start_controls_tab(
        'client_normal_style',
        [
            'label' => esc_html__( 'Normal', 'rodio' ),
        ]
    );

    $instance->add_control(
        'client_opacity',
        [
            'label' => esc_html__( 'Opacity', 'rodio' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 1,
                    'step' => 0.1
                ]
            ],
            'selectors' => [
                '{{WRAPPER}} .client-image img' => 'opacity: {{SIZE}};',
            ],
        ]
    );

    $instance->add_control(
        'client_bg',
        [
          'label' => esc_html__('Background color', 'rodio'),
          'type' => \Elementor\Controls_Manager::COLOR,
          'selectors' => [
            '{{WRAPPER}} .client-image' => 'background-color : {{VALUE}}'
          ]
          
        ]
    );

    $instance->end_controls_tab();

    // normal - end

    // hover - start

    $instance->start_controls_tab(
        'client_hover_style',
        [
            'label' => esc_html__( 'Hover', 'rodio' ),
        ]
    );

    $instance->add_control(
        'client_opacity_hover',
        [
            'label' => esc_html__( 'Opacity', 'rodio' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 1,
                    'step' => 0.1
                ]
            ],
            'selectors' => [
                '{{WRAPPER}} .client-image:hover img' => 'opacity: {{SIZE}};',
            ],
        ]
    );

    $instance->add_control(
        'client_bg_hover',
        [
          'label' => esc_html__('Background color', 'rodio'),
          'type' => \Elementor\Controls_Manager::COLOR,
          'selectors' => [
            '{{WRAPPER}} .client-image:hover' => 'background-color : {{VALUE}}'
          ]
          
        ]
    );

    $instance->end_controls_tab();

    // hover - end

    $instance->end_controls_tabs();

    $instance->end_controls_section();

}