<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

function rodio_get_hamburger_menu_styles( $instance = null ) {
    if ( $instance == null ) return;

    $instance->start_controls_section(
        'menu_styles',
        [
            'label' => esc_html__('Menu', 'rodio'),
            'tab' => \Elementor\Controls_Manager::TAB_STYLE,
        ]
    );

    $instance->add_group_control(
        \Elementor\Group_Control_Typography::get_type(),
        [
            'name' => 'menu_text',
            'label' => esc_html__('Text', 'rodio'),
            'selector' => '{{WRAPPER}} .navigation-menu a',
        ]
    );

    $instance->add_control(
        'menu_text_color',
        [
          'label' => esc_html__('Text color', 'rodio'),
          'type' => \Elementor\Controls_Manager::COLOR,
          'selectors' => [
            '{{WRAPPER}} .navigation-menu a' => 'color : {{VALUE}};'
          ]
          
        ]
    );

    $instance->add_control(
        'menu_icon_color',
        [
          'label' => esc_html__('Icon color', 'rodio'),
          'type' => \Elementor\Controls_Manager::COLOR,
          'selectors' => [
            '{{WRAPPER}} ' => 'color : {{VALUE}};'
          ]
          
        ]
    );

    $instance->end_controls_section();
}

function rodio_get_hamburger_social_styles( $instance = null ) {
    if ( $instance == null ) return;

    $instance->start_controls_section(
        'social_styles',
        [
            'label' => esc_html__('Social', 'rodio'),
            'tab' => \Elementor\Controls_Manager::TAB_STYLE,
        ]
    );

    $instance->add_control(
        'social_icon_color',
        [
          'label' => esc_html__('color', 'rodio'),
          'type' => \Elementor\Controls_Manager::COLOR,
          'selectors' => [
            '{{WRAPPER}} .hamburger-content-social li .icon' => 'color : {{VALUE}}; fill : {{VALUE}};'
          ]
          
        ]
    );

    $instance->add_control(
        'social_icon_bg',
        [
          'label' => esc_html__('Background color', 'rodio'),
          'type' => \Elementor\Controls_Manager::COLOR,
          'selectors' => [
            '{{WRAPPER}} .hamburger-content-social li' => 'background-color : {{VALUE}};'
          ]
          
        ]
    );

    $instance->end_controls_section();
}

function rodio_get_hamburger_bottom_text_styles( $instance = null ) {
    if ( $instance == null ) return;

    $instance->start_controls_section(
        'bottom_text_styles',
        [
            'label' => esc_html__('Bottom text', 'rodio'),
            'tab' => \Elementor\Controls_Manager::TAB_STYLE,
        ]
    );

    $instance->add_group_control(
        \Elementor\Group_Control_Typography::get_type(),
        [
            'name' => 'bottom_text_typo',
            'label' => esc_html__('Typography', 'rodio'),
            'selector' => '{{WRAPPER}} .hamburger-content .bottom-text',
        ]
    );

    $instance->add_control(
        'bottom_text_typo',
        [
          'label' => esc_html__('Color', 'rodio'),
          'type' => \Elementor\Controls_Manager::COLOR,
          'selectors' => [
            '{{WRAPPER}} .hamburger-content .bottom-text' => 'color : {{VALUE}};'
          ]
          
        ]
    );
    

    $instance->end_controls_section();
}