<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

function rodio_get_testiomonial_name_styles( $instance = null ) {
    if ( $instance == null ) return;

    $instance->start_controls_section(
        'testimonial_name_styles',
        [
          'label' => esc_html__('Name', 'rodio'),
          'tab' => \Elementor\Controls_Manager::TAB_STYLE
        ]
    );

    $instance->add_group_control(
        \Elementor\Group_Control_Typography::get_type(),
        [
            'name' => 'testimonial_name_typo',
            'label' => esc_html__('Typography', 'rodio'),
            'selector' => '{{WRAPPER}} .testimonial-slide h5',
        ]
    );
    
    $instance->add_control(
        'testimonial_name_color',
        [
          'label' => esc_html__('Color', 'rodio'),
          'type' => \Elementor\Controls_Manager::COLOR,
          'selectors' => [
            '{{WRAPPER}} .testimonial-slide h5' => 'color : {{VALUE}}'
          ]
        ]
    );

    $instance->end_controls_section();
}

function rodio_get_testiomonial_designation_styles( $instance = null ) {
    if ( $instance == null ) return;

    $instance->start_controls_section(
        'testimonial_designation_styles',
        [
          'label' => esc_html__('Designation', 'rodio'),
          'tab' => \Elementor\Controls_Manager::TAB_STYLE
        ]
    );

    $instance->add_group_control(
        \Elementor\Group_Control_Typography::get_type(),
        [
            'name' => 'testimonial_designation_typo',
            'label' => esc_html__('Typography', 'rodio'),
            'selector' => '{{WRAPPER}} .testimonial-slide h6',
        ]
    );
    
    $instance->add_control(
        'testimonial_designation_color',
        [
          'label' => esc_html__('Color', 'rodio'),
          'type' => \Elementor\Controls_Manager::COLOR,
          'selectors' => [
            '{{WRAPPER}} .testimonial-slide h6' => 'color : {{VALUE}}'
          ]
        ]
    );

    $instance->end_controls_section();
}

function rodio_get_testiomonial_testimony_styles( $instance = null ) {
    if ( $instance == null ) return;

    $instance->start_controls_section(
        'testimonial_testimony_styles',
        [
          'label' => esc_html__('Testimony', 'rodio'),
          'tab' => \Elementor\Controls_Manager::TAB_STYLE
        ]
    );

    $instance->add_control(
        'testimonial_testimony_color',
        [
          'label' => esc_html__('Background color', 'rodio'),
          'type' => \Elementor\Controls_Manager::COLOR,
          'selectors' => [
            '{{WRAPPER}} .testimonial-slide .content .content-wrapper' => 'background-color : {{VALUE}}'
          ]
        ]
    );

    $instance->add_group_control(
        \Elementor\Group_Control_Typography::get_type(),
        [
            'name' => 'testimonial_testimony_typo',
            'label' => esc_html__('Typography', 'rodio'),
            'selector' => '{{WRAPPER}} .testimonial-slide .content p',
        ]
    );
    
    $instance->add_control(
        'testimonial_testimony_bg_color',
        [
          'label' => esc_html__('Color', 'rodio'),
          'type' => \Elementor\Controls_Manager::COLOR,
          'selectors' => [
            '{{WRAPPER}} .testimonial-slide .content p' => 'color : {{VALUE}}'
          ]
        ]
    );

    $instance->end_controls_section();
}