<?php

if (!defined('ABSPATH')) exit; // Exit if accessed directly


class Icon extends \Elementor\Widget_Base {

  public function get_name(){
    return 'rodio_icon';
  }

  public function get_title() {
    return esc_html__('Icon', 'rodio');
  }

  public function get_icon() {
    return 'eicon-icon-box';
  }

  public function get_categories(){
    return ['gfxpartner'];
  }

  protected function register_controls(){

    // content -  start

    $this->start_controls_section(
      'icon_content',
      [
        'label' => esc_html__('Content', 'rodio'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT
      ]
    );

    $this->add_control(
        'icon_link',
        [
            'label' => esc_html__('Link', 'rodio'),
            'type' => \Elementor\Controls_Manager::URL,
        
        ]
    );

    $this->add_control(
      'icon_control',
      [
          'label' => __('Icon', 'rodio'),
          'type' => \Elementor\Controls_Manager::ICONS
      ]
    );

    $this->end_controls_section();

    // content -  end

    // style -  start

    // size style -  start

    rodio_get_icon_size_styles( $this );

    // size style -  end

    // position style -  start

    rodio_get_icon_position_styles( $this );

    // position style -  end

    rodio_get_icon_main_styles( $this );

    // button style -  end
  
  }
  
  protected function _content_template() {}

  protected function render() {
    $settings = $this->get_settings_for_display();

    $this->add_render_attribute('icon_attr', 'class', 'icon-box-link-wrapper');

    if ( $settings['icon_link']['is_external'] )
      $this->add_render_attribute( 'icon_attr', 'target', '_blank' );

    if ( $settings['icon_link']['nofollow'] )
      $this->add_render_attribute( 'icon_attr', 'rel', 'nofollow' );

    if ( !empty( $settings['icon_link']['url'] ) )
      $this->add_render_attribute( 'icon_attr', 'href', $settings['icon_link']['url'] );
 
  ?>
    <?php if ( !empty( $settings['icon_link']['url'] ) ): ?>
    <a <?php $this->print_render_attribute_string( 'icon_attr' );  ?>>
    <?php endif; ?>

      <div class="icon-box">
        <div class="icon-box-inner">
            <?php      
              // icon
              rodio_render_icon( $settings['icon_control'] );
            ?>
        </div>
      </div>

    <?php if ( !empty( $settings['icon_link']['url'] ) ): ?>
    </a>
    <?php endif; ?>

    <?php
  }
}
