<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

require_once( get_template_directory() . '/inc/installation/class-tgm-plugin-activation.php' );

$plugins = array(
    array(
        'name'         => esc_html__('Rodio core', 'rodio'),
        'slug'         => 'rodio-core',
        'required'     => true,
        'source'       => esc_url( 'http://gfxpartner.com/product-plugins/rodio-core.zip' ),
        'version'      => '1.0.1',
    ),  
    array(
        'name'         => esc_html__('Elementor', 'rodio'),
        'slug'         => 'elementor',
        'required'     => true,
    ),
    array(
        'name'         => esc_html__('Contact Form 7', 'rodio'),
        'slug'         => 'contact-form-7',
    ),
    array(
        'name'         => esc_html__('One Click Demo Import', 'rodio'),
        'slug'         => 'one-click-demo-import',
    ),
    array(
        'name'         => esc_html__('Advanced Custom Fields', "rodio"),
        'slug'         => 'advanced-custom-fields',
        'required'     => true
    ),
);

/****************************************
TGM
****************************************/
function rodio_register_required_plugins() {
    global $plugins;
	$config = array(
		'id' => 'tgmpa',
		'default_path' => '',
		'menu' => 'tgmpa-install-plugins',
		'has_notices' => true,
		'dismissable' => true,
		'dismiss_msg' => '',
		'is_automatic' => false,
		'message' => '',
	);
	tgmpa( $plugins, $config );
}
add_action( 'tgmpa_register', 'rodio_register_required_plugins' );


/****************************************
One click demo import
****************************************/
function rodio_ocdi_import_files() {
    $redundant_data = array(
        'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/installation/demo-data/data.wiedata.wie',
    );

	return array(
		array_merge(
            array(
                'import_preview_image_url'   => get_template_directory_uri() . '/inc/installation/demo-data/grayscale/preview.jpg',
                'preview_url'                => 'http://www.gfxpartner.com/rodio',
                'import_file_name'             => 'Grayscale Images',
                'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/installation/demo-data/grayscale/data.xml',
                'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/installation/demo-data/grayscale/data-customizer.dat',
                'local_import_redux'           => array(
                    array(
                        'file_path'   => 
                        trailingslashit( get_template_directory() ) . 'inc/installation/demo-data/grayscale/redux.json',
                        'option_name' => 'rodio_opt',
                    ),
                ),
            ),
            $redundant_data
        ),
        array_merge(
            array(
                'import_preview_image_url'   => get_template_directory_uri() . '/inc/installation/demo-data/colored/preview.jpg',
                'preview_url'                => 'http://www.gfxpartner.com/rodio-color',
                'import_file_name'             => 'Colored Images',
                'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/installation/demo-data/colored/data.xml',
                'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/installation/demo-data/colored/data-customizer.dat',
                'local_import_redux'           => array(
                    array(
                        'file_path'   => 
                        trailingslashit( get_template_directory() ) . 'inc/installation/demo-data/colored/redux.json',
                        'option_name' => 'rodio_opt',
                    ),
                ),
            ),
            $redundant_data
        )
	);
}
add_filter( 'pt-ocdi/import_files', 'rodio_ocdi_import_files' );

function rodio_ocdi_after_import_setup() {
	// Assign menus to their locations.
    $top_menu = get_term_by( 'name', 'Main Menu', 'nav_menu' );

	set_theme_mod( 'nav_menu_locations', array(
            'default-menu' => $top_menu->term_id,
		)
	);

	// Assign front page and posts page (blog page).
	$front_page_id = get_page_by_title( 'Home' );

	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page_id->ID );

}
add_action( 'pt-ocdi/after_import', 'rodio_ocdi_after_import_setup' );

add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );

function ocdi_register_plugins( $arg_plugins ) {
    global $plugins;
    return $plugins;
}
add_filter( 'ocdi/register_plugins', 'ocdi_register_plugins' );