<?php

if ( ! function_exists( 'rodio_acf_header_values' ) ) {
    function rodio_acf_header_values( $field ) {
    
        // default choice
        $field['choices']['default'] = __( 'Default', 'rodio' );

        $args = [
            'post_type'     => 'header',
            'numberposts'   => -1,
            'post_status'   => 'publish'
        ];

        $posts = get_posts( $args );

        foreach ( $posts as $post ) {
            $field['choices'][ $post->ID ] = $post->post_title;
        }
                
        return $field;
    }
}
add_filter( 'acf/load_field/name=header_desktop', 'rodio_acf_header_values' );
add_filter( 'acf/load_field/name=header_mobile', 'rodio_acf_header_values' );

if ( ! function_exists( 'rodio_acf_footer_values' ) ) {
    function rodio_acf_footer_values( $field ) {
    
        // default choice
        $field['choices']['default'] = __( 'Default', 'rodio' );

        $args = [
            'post_type'     => 'footer',
            'numberposts'   => -1,
            'post_status'   => 'publish'
        ];

        $posts = get_posts( $args );

        foreach ( $posts as $post ) {
            $field['choices'][ $post->ID ] = $post->post_title;
        }
                
        return $field;
    }
}
add_filter( 'acf/load_field/name=footer_select', 'rodio_acf_footer_values' );