<?php
    $title = trim( get_the_title() );

    $date_format = 'default';
    if ( !empty( $args['date_format'] ) && $args['date_format'] == 'custom'  ) {
        $date_format = 'custom';
    }

    $class = [
        'single-blog-post',
        'hover',
        ! has_post_thumbnail() ? 'no-mt'  : ''
    ]

    
?>
<div <?php post_class( $class ); ?>>
    <?php rodio_post_thumbnail(); ?>

    <div class="content">

        <div class="details">
            <div class="date">
                <a href="<?php echo esc_url( home_url( get_the_date('Y/m/d') ) ); ?>">
                    <?php echo wp_kses( rodio_get_the_date( $date_format ), 'post' ); ?>
                </a>
                <a href="<?php the_permalink(); ?>" class="hover">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 256 512"><path d="M89.45 87.5l143.1 152c4.375 4.625 6.562 10.56 6.562 16.5c0 5.937-2.188 11.87-6.562 16.5l-143.1 152C80.33 434.1 65.14 434.5 55.52 425.4c-9.688-9.125-10.03-24.38-.9375-33.94l128.4-135.5l-128.4-135.5C45.49 110.9 45.83 95.75 55.52 86.56C65.14 77.47 80.33 77.87 89.45 87.5z"/></svg>
                </a>
            </div>
            <div>
                <?php if ( ! empty( $title ) && ! has_post_thumbnail() ): ?>
                    <a href="<?php the_permalink(); ?>">
                <?php endif; ?>

                <h6><?php echo esc_html( __( 'By ', 'rodio' ) . get_the_author() ) ?></h6>
                <?php if ( ! empty( $title ) && ! has_post_thumbnail() ): ?>
                <h4><?php echo esc_html( $title ); ?></h4>
                    </a>
                <?php endif; ?>
            </div>
        </div>

        <?php if ( !empty( $title ) && has_post_thumbnail() ): ?>
            <a href="<?php the_permalink(); ?>">
                <h4><?php echo esc_html( $title ); ?></h4>
            </a>
        <?php endif; ?>
    </div>
</div>