<?php
    $title = trim( get_the_title() );

    $post_categories = get_the_terms( $post->ID, 'category' );
    if ( ! empty( $post_categories ) && ! is_wp_error( $post_categories ) ) {
        $categories = join( ', ', wp_list_pluck( $post_categories, 'name' ) );
    }
?>
<a href="<?php the_permalink(); ?>" class="project-single-wrapper">
    <div class="project-single">
        <?php rodio_post_thumbnail( 'rodio-project-thumbnail-size', false ); ?>
        <div class="project-content">
            <div class="project-content-inner">
                <?php if ( !empty( $categories ) ): ?>
                    <div class="categories">
                        <?php echo esc_html( $categories ); ?>
                    </div>
                <?php endif; ?>
                <?php if ( !empty( $title ) ): ?>
                    <h4><?php echo esc_html( $title ); ?></h4>
                <?php endif; ?>
            </div>
        </div>
        <div class="project-reveal">
            <i class="fas fa-arrow-circle-right"></i>
        </div>
        <div class="project-bg"></div>
    </div>
</a>