<?php
    $member = $args['member'];
    $count = $args['count'];
?>
<div class="team-member-wrapper">
    <div class="team-member">
        <div class="team-member-image">
            <?php
                echo \Elementor\Group_Control_Image_Size::get_attachment_image_html( 
                    $member, 
                    'full', 
                    'team_image' 
                ); 
            ?>
        </div>
        <div class="team-member-content">
            <div class="team-member-content-inner">
                <h4><?php echo esc_html( $member['team_name'] ); ?></h4>
                <h5><?php echo esc_html( $member['team_designation'] ); ?></h5>
                <?php if ( !empty( $member['team_social_repeater'] ) && $member['team_social_repeater'] != null ): ?>
                    <div class="reveal social-reveal"></div>
                    <ul class="team-member-social">
                        <?php 
                            for ( $i = 1; $i != $count + 1; $i++ ):
                                if ( empty( $member['team_social_link_' . $i]['url'] ) ) continue;
                                $target = $member['team_social_link_' . $i]['is_external'] ? ' target="_blank"' : '';
                                $nofollow = $member['team_social_link_' . $i]['nofollow'] ? ' rel="nofollow"' : '';
                                $url = !empty( $member['team_social_link_' . $i]['url'] ) ? ' href='.esc_url( $member['team_social_link_' . $i]['url'] ) : '';
                        ?>
                            <li>
                                <a
                                <?php echo esc_attr($url); ?>
                                <?php echo esc_attr($target); ?>
                                <?php echo esc_attr($nofollow); ?>
                                >
                                    <span>
                                        <?php 
                                            \Elementor\Icons_Manager::render_icon( 
                                                $member['team_social_icon_' . $i], 
                                                [ 'aria-hidden' => 'true' ]
                                            ); 
                                        ?>
                                    </span>
                                </a>
                            </li>
                        <?php endfor; ?>
                    </ul>
                <?php endif; ?>
            </div>
        </div>
        <div class="team-member-bg"></div>
    </div>
</div>