<?php

	$display_header = true;
	$heading        = null;
	$bg_img         = null;

if ( function_exists( 'get_field' ) ) {
	$display_header = get_field( 'display_page_header' );
	$heading        = get_field( 'page_header_title' );
	$bg_img         = get_field( 'page_header_bg' );


	if ( is_home() ) {
		$heading = get_field( 'page_header_title', get_option( 'page_for_posts' ) );
	}
}

if ( ! $display_header && ! is_search() && ! is_archive() && ! is_404() ) {
	return;
}

if ( is_search() ) {
	$heading = __( 'Search result', 'rodio' );
}

if ( is_archive() ) {
	$heading = __( 'Archives', 'rodio' );
}

if ( is_404() ) {
	$heading = __( 'Not Found', 'rodio' );
}
?>

<div class="page-header">
	<div class="page-header-wrapper" 
	style="<?php echo esc_attr( empty( $bg_img ) ? '' : 'background-image: url(' . esc_url( $bg_img ) . ')' ); ?>"
	>
		<div class="container">
			<div class="row">
				<div class="col-lg-12">
					<div class="page-header-content">
						<div class="page-title">
							<h1>
							<?php
							if ( ! empty( $heading ) ) {
								// custom heading
								echo esc_html( $heading );
							} else {
								// dynamic heading
								$type = get_post_type();
								if ( $type == 'page' ) {
									the_title();
								} elseif ( is_home() ) {
									$title = single_post_title( '', false );
									if ( empty( $title ) ) {
										$title = __( 'News Feeds', 'rodio' );
									}
									echo esc_html( $title, 'rodio' );
								} else {
									echo esc_html( $type );
								}
							}
							?>
							</h1>
						</div>
						<div class="breadcrumbs">
							<?php rodio_breadcrumbs(); ?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
